Bug 1074459 - CVE-2014-0004 udisks and udisks2: stack-based buffer overflow when handling long path names [fedora-all]
Summary: CVE-2014-0004 udisks and udisks2: stack-based buffer overflow when handling l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: udisks2
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-0004
TreeView+ depends on / blocked
 
Reported: 2014-03-10 10:08 UTC by Huzaifa S. Sidhpurwala
Modified: 2015-03-03 23:07 UTC (History)
3 users (show)

Fixed In Version: udisks2-2.1.2-2.fc19
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-15 15:03:54 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
fedora 19 patch (4.97 KB, patch)
2014-03-10 12:25 UTC, Jan Safranek
no flags Details | Diff

Description Huzaifa S. Sidhpurwala 2014-03-10 10:08:23 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2014-03-10 10:08:38 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1049703,1074459

Comment 2 Jan Safranek 2014-03-10 10:33:57 UTC
I'll handle it on behalf of Tomas Bzatek, he's still out of office.

Comment 3 Jan Safranek 2014-03-10 12:25:32 UTC
Created attachment 872648 [details]
fedora 19 patch

Ugh, I cannot check in the patch, I am not a provenpackager. The .spec patch is trivial and it's attached (please edit your name in changelog).

Comment 4 Fedora Update System 2014-03-10 13:30:11 UTC
udisks2-2.1.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/udisks2-2.1.2-2.fc19

Comment 5 Fedora Update System 2014-03-10 13:32:40 UTC
udisks2-2.1.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/udisks2-2.1.2-2.fc20

Comment 6 Fedora Update System 2014-03-11 04:10:29 UTC
Package udisks2-2.1.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing udisks2-2.1.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3714/udisks2-2.1.2-2.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-03-15 15:03:54 UTC
udisks2-2.1.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-03-19 08:50:27 UTC
udisks2-2.1.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.